<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();
Route::get('/', [App\Http\Controllers\MemeController::class, 'index'])->name('homepage');
Route::get('/about', [App\Http\Controllers\AboutController::class, 'index'])->name('about');
Route::get('/contact', [App\Http\Controllers\ContactController::class, 'index'])->name('contact');
Route::get('meme/{id}', [App\Http\Controllers\MemeController::class, 'show'])->name('meme');
Route::get('meme/approve/{id}', [App\Http\Controllers\MemeController::class, 'approve']);
Route::get('meme/destroy/{id}', [App\Http\Controllers\MemeController::class, 'destroy']);
Route::get('/submit/meme', [App\Http\Controllers\MemeController::class, 'create'])->name('meme')->middleware('auth');
Route::post('/meme-create', [App\Http\Controllers\MemeController::class, 'store'])->name('meme-create')->middleware('auth');
Route::get('user/{id}', [App\Http\Controllers\UserController::class, 'show'])->name('user');
Route::get('/dashboard', [App\Http\Controllers\DashboardController::class, 'index'])->name('dashboard');
Route::get('/leaderboard', [App\Http\Controllers\MemeController::class, 'leaderboard'])->name('leaderboard');
Route::get('/api', [App\Http\Controllers\ApiController::class, 'documentation'])->name('api');
Route::get('/theme/{style}', [App\Http\Controllers\ThemeSwitcherController::class, 'theme']);
